<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from optkelley_polymod.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="optkelley_polymod" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <info>
    <pubdate>$LastChangedDate: 02-Jun-2010 $</pubdate>
  </info>

  <refnamediv>
    <refname>optkelley_polymod</refname><refpurpose>Cubic/quadratic polynomial linesearch.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [lambda]=optkelley_polymod(q0, qp0, lamc, qc, blow, bhigh)
   [lambda]=optkelley_polymod(q0, qp0, lamc, qc, blow, bhigh, lamm, qm)

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>q0:</term>
      <listitem><para> function value at lambda=0, q(0) = q0</para></listitem></varlistentry>
   <varlistentry><term>qp0:</term>
      <listitem><para> value of gradient at lambda=0, q'(0) = qp0</para></listitem></varlistentry>
   <varlistentry><term>lamc:</term>
      <listitem><para> current value of lambda</para></listitem></varlistentry>
   <varlistentry><term>qc:</term>
      <listitem><para> function value at lamc, q(lamc) = qc</para></listitem></varlistentry>
   <varlistentry><term>blow:</term>
      <listitem><para> factor of the lower bound for lambda</para></listitem></varlistentry>
   <varlistentry><term>bhigh:</term>
      <listitem><para> factor of the upper bound for lambda</para></listitem></varlistentry>
   <varlistentry><term>lamm:</term>
      <listitem><para> another interpolation point</para></listitem></varlistentry>
   <varlistentry><term>qm:</term>
      <listitem><para> value of function at lamm</para></listitem></varlistentry>
   <varlistentry><term>lplus:</term>
      <listitem><para> value of lambda achieving the minimum of the polynomial model</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
If there are 8 input arguments, finds minimizer lambda of the cubic polynomial q on the interval
[blow * lamc, bhigh * lamc] such that
q(0) = q0, q'(0) = qp0, q(lamc) = qc, q(lamm) = qm
If there are 6 input arguments, that is, if data for a cubic is not available (first stepsize reduction) then
q is the quadratic such that
q(0) = q0, q'(0) = qp0, q(lamc) = qc
   </para>
   <para>
This code comes with no guarantee or warranty of any kind.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>C. T. Kelley, Dec 29, 1997</member>
   <member>Yann Collette, Scilab port</member>
   <member>Michael Baudin, DIGITEO, 2010, Update to Scilab 5.2, formatted comments</member>
   </simplelist>
</refsection>
</refentry>
